function skill274(r)
	
	--local r=flag.GetBattleValue(16005)
	
	if r==1 then
		for i=6,9,1 do
			id=battle.GetPlacePlayerID(i)
			--f=player.GetBuffCount(id)
			f=0
			if battle.CheckPlayerStat(id,10)==1 then f=f+1 end
			if battle.CheckPlayerStat(id,11)==1 then f=f+1 end
			if battle.CheckPlayerStat(id,12)==1 then f=f+1 end
			if battle.CheckPlayerStat(id,13)==1 then f=f+1 end
			rndt=0
			if f>=3 then
				x=battle.GetRndNumber(30,60)
				if battle.CheckPlayerStat(id,17)==0 and battle.CheckPlayerStat(id,37)==0 then
				player.ChangeHP(0,0,id,-x*1.8)
				end
				player.ChangeMP(0,0,id,-x/2.4)
				--此处添加清除BUFF脚本
				bid=player.GetRandomBuff(id)
				while bid~=10 and bid~=11 and bid~=12 and bid~=13 and rndt<=10 do bid=player.GetRandomBuff(id) rndt=rndt+1 end
				global.Print(bid)
				if bid==10 or bid==11 or bid==12 or bid==13 then
				player.RemoveStat(0,id,bid)
				end
			elseif f==2 then
				x=battle.GetRndNumber(60,100)
				if battle.CheckPlayerStat(id,17)==0 and battle.CheckPlayerStat(id,37)==0 then
				player.ChangeHP(0,0,id,-x*1.6)
				end
				player.ChangeMP(0,0,id,-x/2.4)
				--此处添加清除BUFF脚本
				bid=player.GetRandomBuff(id)
				while bid~=10 and bid~=11 and bid~=12 and bid~=13 and rndt<=10 do bid=player.GetRandomBuff(id) rndt=rndt+1 end
				global.Print(bid)
				if bid==10 or bid==11 or bid==12 or bid==13 then
				player.RemoveStat(0,id,bid)
				end
			elseif f==1 then
				x=battle.GetRndNumber(120,160)
				if battle.CheckPlayerStat(id,17)==0 and battle.CheckPlayerStat(id,37)==0 then
				player.ChangeHP(0,0,id,-x*1.5)
				end
				player.ChangeMP(0,0,id,-x/2.4)
				--此处添加清除BUFF脚本
				bid=player.GetRandomBuff(id)
				while bid~=10 and bid~=11 and bid~=12 and bid~=13 and rndt<=10 do bid=player.GetRandomBuff(id) rndt=rndt+1 end
				global.Print(bid)
				if bid==10 or bid==11 or bid==12 or bid==13 then
				player.RemoveStat(0,id,bid)
				end
			elseif player.GetHP(battle.GetPlacePlayerID(i),0)>0 then
				x=battle.GetRndNumber(180,220)
				if battle.CheckPlayerStat(id,17)==0 and battle.CheckPlayerStat(id,37)==0 then
				player.ChangeHP(0,0,id,-x*1.5)
				end
				player.ChangeMP(0,0,id,-x/2.4)
				
			end
		end
		--flag.SetBattleValue(16005,1)
	elseif r==2 then
		y=flag.GetBattleValue(16011)
		HP2=0
		for i=6,9,1 do
			--id=battle.GetPlacePlayerID(i)
			hp=player.GetHP(battle.GetPlacePlayerID(i),0)
			HP2=HP2+hp
		end
		npc.ChangeHP(0,0,90000,(HP1-HP2)*5)
		if HP1-HP2>780 then
			y=y+3                                  --魂魄碎片+3
			if y>3 then
				y=3
			end
			flag.SetBattleValue(16011,y)           --设置魂魄碎片旗标
			battle.SetSoulCount(y)
		elseif HP1-HP2>510 and HP1-HP2<=780 then
			y=y+2                                  --魂魄碎片+2
			if y>3 then
				y=3
			end
			flag.SetBattleValue(16011,y)           --设置魂魄碎片旗标
			battle.SetSoulCount(y)
		elseif HP1-HP2>40 and HP1-HP2<=510 then
			y=y+1                                  --魂魄碎片+1
			if y>3 then
				y=3
			end
			flag.SetBattleValue(16011,y)           --设置魂魄碎片旗标		
			battle.SetSoulCount(y)
		end
			--global.WaitForBattleSEEnd(4253)
			
			
			if y==1 then
				npc.StopSE(90000)
				npc.CreateSE(90000,4247)
			elseif y==2 then
				npc.StopSE(90000)
				npc.CreateSE(90000,4248)
			elseif y==3 then
				npc.StopSE(90000)
				npc.CreateSE(90000,4249)
			end
		
		
		
		
		--flag.SetBattleValue(16005,0)
	end


end